VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Text1 
      Height          =   495
      Left            =   960
      TabIndex        =   2
      Text            =   "Text1"
      Top             =   720
      Width           =   2415
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Command2"
      Height          =   495
      Left            =   2400
      TabIndex        =   1
      Top             =   2040
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Command1"
      Height          =   495
      Left            =   840
      TabIndex        =   0
      Top             =   2040
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'   Developed by Vijay Sai Sharma.
'   No Guarantee of any kind for using this code.

'----------------Provides a very simple animation on Command Buttons in a Form.----------------------------
'   Remember there should be enough pace around the Command buttons in your forms for this code to work successfully.
'   You can add some more functionality and improve this code but do mail me at sharma_vijaysai@rediffmail.com.
'   You can add any number of command buttons on a form but remember to write the code against each commandbutton.


'   This is the Button having Focus.
Dim cmdActiveButton As CommandButton

Private Sub Command1_GotFocus()

    '   Set Active Button to Command1
    Set cmdActiveButton = Me.Command1
    '   Make it's Font Bold.
    Call MakeButtonFontBold(Me.Command1)
    
End Sub

Private Sub Command1_LostFocus()
    
    '   Set Active Button to Nothing.
    Set cmdActiveButton = Nothing
    '   Make Button's Font Regular.
    Me.Command1.Font.Bold = False
    
End Sub

Private Sub Command1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    '   Make Button's Font Bold.
    Call MakeButtonFontBold(Me.Command1)
    
End Sub

Private Sub Command2_GotFocus()
    
    '   Set Active Button to Command2.
    Set cmdActiveButton = Me.Command2
    '   Make it's Font Bold.
    Call MakeButtonFontBold(Me.Command2)
    
End Sub

Private Sub Command2_LostFocus()

    '   Set Active Button to Nothing.
    Set cmdActiveButton = Nothing
    '   Make Button's Font Regular.
    Me.Command2.Font.Bold = False
    
End Sub

Private Sub Command2_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

    '   Make Button's Font Bold.
    Call MakeButtonFontBold(Me.Command2)
    
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Dim Ctrl As Control

    If Not cmdActiveButton Is Nothing Then
        '   Make the Font Bold for the currently active button.
        Call MakeButtonFontBold(cmdActiveButton)
    Else
        '   Make the Font of all the buttons regular.
        For Each Ctrl In Me.Controls
            If TypeOf Ctrl Is CommandButton Then
                Ctrl.Font.Bold = False
            End If
        Next Ctrl
    End If
    
End Sub

Private Sub MakeButtonFontBold(ByRef cmdButtonToBold As CommandButton)
Dim Ctrl As Control

    For Each Ctrl In Me.Controls
        If TypeOf Ctrl Is CommandButton Then
            If Ctrl.Name = cmdButtonToBold.Name Then
                Ctrl.Font.Bold = True
            Else
                Ctrl.Font.Bold = False
            End If
        End If
    Next Ctrl
    
End Sub
